###########################
### KGB Wonder (by GIR) ###
###########################

###############################################################################################################################################################################################################
### You will get 3 additional Spies. Everyone with a Sentry, Morale and Mobility promotion.
### All new build Spies get a free Sentry Promotion.
###############################################################################################################################################################################################################

from CvPythonExtensions import *
import PyHelpers

gc = CyGlobalContext()

##################################################################################

class CultureBomb:

	def onBuildingBuilt(self, argsList):
		'Building Completed'
		pCity, iBuildingType = argsList

		if iBuildingType == gc.getInfoTypeForString( 'BUILDING_EIFFEL_TOWER' ):

			pPlayer = gc.getPlayer(pCity.plot().getOwner())
			pPID = pPlayer.getID()
			pCityName = pCity.getName()
			iX = pCity.getX()
			iY = pCity.getY()

			pCC = pCity.getCulture(pPID)
			pCC = pCC + 20000

			pCity.changeCulture(pPID, pCC, true)

			CyInterface().addMessage(pPID,false,15,CyTranslator().getText("TXT_KEY_MESSAGE_CULTUREBOMB",(pCC, pCityName)),'',0,'art/interface/buttons/process/processculture.dds',ColorTypes(24), -1, -1,True,True)
